import java.util.ArrayList;
import java.util.Arrays;

/**
 * Lösung Kapitel 1.6 - Aufgabe 4: Klasse Worterkennung zum Erkennen von Wörtern in einem Text.
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
public class Worterkennung
{
    private String text;
    private int trefferzahl;
    private  ArrayList<String> wörterliste;

    /**
     * Methode intialisiere zum Setzen von Startwerten für die Attribute
     *
     */
    void intialisiere()
    {
        text = "Hallo ihr drei, bitte hängt den Anschlag für die Oberstufenparty morgen aus. Der wird einschlagen wie eine Bombe! Viele Grüße Theo Rist"; 
        trefferzahl = 0;
        wörterliste = new ArrayList<String>();

        TextWortweiseWörterlisteSpeichern();

        for(String wort: wörterliste)
        {
            System.out.println(wort);
        }

    }

    /**
     * Methode TextWortweiseWörterlisteSpeichern zerlegt den im Attribut text gespeicherten Text
     * in Worte und speichert diese in der ArrayList wörterliste.
     *
     */
    void TextWortweiseWörterlisteSpeichern()
    {
        String[] wörterlisteAlsFeld; // leider muss in Java ein Umweg gegangen werden: 
        //Die Standardmethode zum Splitten hat als Ergebnis Feld und keine ArrayList als Datenstruktur. 
        // Vergleiche nach dem Initialisieren im Objektinspektor,dort sehen die beiden Datenstrukturen gleich aus.

        wörterlisteAlsFeld = text.split(" "); //Der Eingabewert " " bedeutet, die Wörter werden nach jedem Leerzeichen getrennt.
        //Jedes einzelne Wort aus der wörterlisteAlsFeld wird nun in die ArrayList wörterlisteAlsFeld hinzugefügt.
        for(String wort: wörterlisteAlsFeld)
        {
            wörterliste.add(wort);
        }

    }

    /**
     * Methode analysiereText bestimmt die Anzahl der der Worte "Bombe" und "Anschlag" und speichert diese 
     * im Attribut trefferzahl.
     *
     */
    void analysiereText()
    {
        //toDO
        // bei Textvergleichen ist die Methode equals 
        // zuverlässiger als der Vergleichsoperator ==
        // z.B. ergibt text.equals("Mangoeneis") nur dann true, falls der Text "Mangoeneis" ist.
        {
            trefferzahl = trefferzahl + 1;
        }
    }

}